--- ../zaptel/Makefile  2007-05-17 10:33:05.000000000 -0400
+++ Makefile    2007-05-17 13:45:09.000000000 -0400
@@ -489,6 +489,30 @@
        done;
 endif

+uninstall: uninstall-modules uninstall-hotplug
+       rm -rf $(INSTALL_PREFIX)/usr/share/zaptel \
+       if [ -d $(INSTALL_PREFIX)/usr/include/zaptel ]; then \
+               rm -rf $(INSTALL_PREFIX)/usr/include/zaptel; \
+       fi
+       rm -f $(INSTALL_PREFIX)/sbin/ztcfg \
+       if [ -f $(INSTALL_PREFIX)/sbin/sethdlc ]; then \
+               rm -f $(INSTALL_PREFIX)/sbin/sethdlc; \
+       fi
+       if [ -f $(INSTALL_PREFIX)/sbin/zttool ]; then \
+               rm -f $(INSTALL_PREFIX)/sbin/zttool; \
+       fi
+       mv $(INSTALL_PREFIX)/etc/zaptel.conf $(INSTALL_PREFIX)/etc/zaptel.`date +%F` \
+       if [ -f $(INSTALL_PREFIX)/etc/hotplug/usb/xpp* ]; then \
+               rm -f $(INSTALL_PREFIX)/etc/hotplug/usb/xpp*; \
+       fi
+       if [ -f $(INSTALL_PREFIX)/etc/udev/rules.d/zaptel.rules ]; then \
+       rm -f $(INSTALL_PREFIX)/etc/udev/rules.d/zaptel.rules; \
+       fi
+       if [ -f $(INSTALL_PREFIX)/etc/udev/rules.d/xpp.rules ]; then \
+               rm -f $(INSTALL_PREFIX)/etc/udev/rules.d/xpp.rules; \
+       fi
+       rm -f $(INSTALL_PREFIX)/etc/udev/rules.d/zaptel.rules
+
 install-modules: $(INSTALL_MODULES) uninstall-modules
 ifeq ($(BUILDVER),linux24)
        $(INSTALL) -d $(MOD_DIR)
